package djmil.cordacheckers.user;

import org.springframework.security.core.userdetails.UserDetails;

import djmil.cordacheckers.cordaclient.dao.HoldingIdentity;

public class User extends org.springframework.security.core.userdetails.User {
    private final HoldingIdentity holdingIdentity;

    public User(UserDetails user, HoldingIdentity holdingIdentity) {
        super(user.getUsername(), user.getPassword(), user.isEnabled(), user.isAccountNonExpired(), user.isCredentialsNonExpired(), user.isAccountNonLocked(), user.getAuthorities());
        
        this.holdingIdentity = holdingIdentity;
    }

	public HoldingIdentity getHoldingIdentity() {
		return this.holdingIdentity;
	}
}